juzu.plugin.asset

## Annotation Type Script

-     @Retention(value=RUNTIME)
      @Target(value={})
      public @interface Script

  A script asset declaration.
  Author:
    Julien Viet

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `depends`
    `boolean` | `header`
    `String` | `id`
    `AssetLocation` | `location`
    `int` | `maxAge`
    `String` | `minified`
    `Class<? extends Minifier>[]` | `minifier`

- - ### Element Detail

    - #### value

          public abstract String value

      Returns:
        the value for resolving the script

    - #### id

          public abstract String id

      Returns:
        the asset id, used for referencing this script, the value is optional
      Default:
        ""

    - #### header

          public abstract boolean header

      Returns:
        true when the script should be inserted as a header, otherwise it would be as a footer.
      Default:
        true

    - #### minifier

          public abstract Class<? extends Minifier>[] minifier

      Returns:
        the list of minifiers for this script.
      Default:
        {}

    - #### minified

          public abstract String minified

      Returns:
        the minified version of the script
      Default:
        ""

    - #### depends

          public abstract String[] depends

      Returns:
        the script dependencies, i.e the script that are needed by this asset
      Default:
        {}

    - #### location

          public abstract AssetLocation location

      Returns:
        the asset location
      Default:
        juzu.asset.AssetLocation.APPLICATION

    - #### maxAge

          public abstract int maxAge

      Returns:
        the `max-age` cache control headers for this script asset
      Default:
        -1

Copyright © 2016 eXo Platform SAS. All rights reserved.